<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/HowTos/postgrey</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/HowTos/postgrey</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BcHBUDVWuZVlbeGWHapQ-">灰名單教學文檔</h1>
<span class="anchor" id="line-4"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BXxWKAA-">引言</a></li><li>
<a href="#A.2Bii1bmg-">設定</a><ol><li>
<a href="#Postfix">Postfix</a></li><li>
<a href="#Sendmail_.2BUWd2hHBwVA1Vrg-">Sendmail 內的灰名單</a></li><li>
<a href="#Exim">Exim</a></li></ol></li><li>
<a href="#A.2BUy9YMQ-">匯報</a></li><li>
<a href="#A.2BWRqRzQ_MX_.2BdoSAA2Fu-">多重 MX 的考慮</a></li><li>
<a href="#A.2Bdn1UDVWu-">白名單</a></li><li>
<a href="#A.2Bfj19UA-">總結</a></li><li>
<a href="#A.2BkCN9UA-">連結</a></li></ol></li></ol></div> <span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">
<h2 id="A.2BXxWKAA-">1. 引言</h2>
<span class="anchor" id="line-7"></span><div><table><tbody><tr>  <td class="lmimg blue"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-info.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-info.png" title="ArtWork/WikiDesign/icon-admonition-info.png" /> </td>
  <td class="lmtxt blue" colspan="2" style="text-align: left;"><p class="line862">  <strong>註：</strong>寫這份指南的原意是要補充基本的 <a href="./HowTos(2f)postfix.html">postfix 指南</a>及 <a href="./HowTos(2f)postfix_restrictions.html">postfix 規限指南</a>，但其後已演變至適用於其它 MTA 。 </td>
</tr>
</tbody></table></div><span class="anchor" id="line-8"></span><p class="line862">postgrey 是個政策伺服器，透過實施灰名單在 Postfix 郵件伺服器上過濾垃圾郵件。灰名單的原理建基於多數垃圾郵件都寄件者都是垃圾郵件程式或其它不乎合 RFC 的 MTA。postgrey 會在預設時限內臨時以「稍後重試」450 號錯誤拒絕新郵件，並在它的資料庫內記錄<tt class="backtick">客端&nbsp;IP／寄件者／收件者</tt>這三組資料。假若寄件的伺服器乎合 RFC，它應該重寄該郵件，到時 postgrey 便會在資料庫內找尋配對並接納該郵件。這個拖延時限是可自訂的，而且 postgrey 維護一個資料庫儲存已知的組合，因此來自同一位寄件者郵件只會在首封經歷延誤。 <span class="anchor" id="line-9"></span><span class="anchor" id="line-10"></span><p class="line874">相反地，典型的垃圾郵件程式一般都會接收大量的回郵或被拒郵件，因此垃圾郵件寄件者多數在臨時被拒的情況下不會重寄郵件。故此任何來自該類來源地的郵件將會被棄置。這樣額外帶來的好處就是減省郵件伺服器花在過濾及處理郵件上的時間，因為大部份的郵件在進入 MTA 之先便會被棄置，所以不必過濾或處理。 <span class="anchor" id="line-11"></span><div><table style="width: 97%"><tbody><tr>  <td style="border: medium none ;  text-align: center;"><p class="line862"> <a class="attachment" href="attachments/HowTos(2f)postgrey/postgrey-en.png" title="{{attachment:HowTos/postgrey/postgrey-en.png}}"><img alt="attachment:HowTos/postgrey/postgrey-en.png" class="attachment" src="attachments/HowTos(2f)postgrey/postgrey-en.png" title="attachment:HowTos/postgrey/postgrey-en.png" /></a> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line867">
<h2 id="A.2Bii1bmg-">2. 設定</h2>
<span class="anchor" id="line-15"></span><p class="line874">灰名單可以因應不同的 MTS 而被設定。請根據你所採用的 MTA 來參考下列相關部份。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line867">
<h3 id="Postfix">2.1. Postfix</h3>
<span class="anchor" id="line-18"></span><p class="line862">Postgrey 在 CentOS 5.1 上是通過 RPMForge 安裝最新版本的，雖然這裡的指示也適用於其它版本。要啟用 RPMForge 軟件庫，請參閱 <a href="./zh(2d)tw(2f)Repositories(2f)RPMForge.html">RPMForge</a> 內的指引。首先，請安裝 postgrey： <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867"><span class="anchor" id="line-21"></span><pre><span class="anchor" id="line-1"></span># yum install postgrey</pre><span class="anchor" id="line-22"></span><p class="line874">Postgrey 是用 Perl 寫成的，因此 Perl 及某些 Perl 模塊必須被安裝。Yum 應該會自動判斷你所仍未安裝的依賴性套件，而你亦可以在 Postgrey 的網站查閱它的要求。 <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line862">我們首要是設定 Postfix 應用 Postgrey。編輯 <tt class="backtick">/etc/postfix/main.cfg</tt> 仿照下面在 <tt class="backtick">smtpd_recipient_restrictions</tt> 這個部份加入 <tt class="backtick">check_policy_service</tt> 這一行（假如你沒有 <tt class="backtick">smtpd_recipient_restrictions</tt> 這部份，那麼下面是個不錯的列子）： <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867"><span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><pre><span class="anchor" id="line-1-1"></span>smtpd_recipient_restrictions =
<span class="anchor" id="line-2"></span>   permit_mynetworks,
<span class="anchor" id="line-3"></span>   reject_unauth_destination,
<span class="anchor" id="line-4"></span>   check_policy_service unix:postgrey/socket,
<span class="anchor" id="line-5"></span>   permit</pre><span class="anchor" id="line-33"></span><p class="line862">按預設值，Postgrey 拒絕新郵件的時間是 5 分鐘，但我們可以利用 <tt class="backtick">--delay</tt> 這個選項來更改它。這裡要權衡的，就是時間越長拒絕垃圾郵件的機會越大，但合法郵件初次被延誤的時間也會越久。你也許值得在開始時把這個值設為 1 分鐘（60 秒），然後當 Postgrey 已經為你的郵件伺服器建立了一個常見郵件聯絡人的資料庫時，才把數值增大。我們不建議你把延誤時間設至多於 300 秒（5 分鐘）。要以手動的方式設定延誤時間（以秒計算），我們必須在 <tt class="backtick">/etc/sysconfig/postgrey</tt> 建立 Postgrey 的設定檔，然後如下所示加入 <tt class="backtick">--delay</tt> 這個選項（選項清單請參閱 man postgrey）： <span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><p class="line867"><span class="anchor" id="line-36"></span><pre><span class="anchor" id="line-1-2"></span>OPTIONS="--unix=/var/spool/postfix/postgrey/socket --delay=60"</pre><span class="anchor" id="line-37"></span><p class="line874">最後，我們須要啟動 Postgrey 這個服務及重新載入 Postfix 的設定： <span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><p class="line867"><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><pre><span class="anchor" id="line-1-3"></span># /sbin/service postgrey start
<span class="anchor" id="line-2-1"></span># /sbin/service postfix reload</pre><span class="anchor" id="line-42"></span><p class="line874">請確保 postgrey 在機器開機時會被自動啟動： <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line867"><span class="anchor" id="line-45"></span><pre><span class="anchor" id="line-1-4"></span># /sbin/chkconfig --levels 345 postgrey on </pre><span class="anchor" id="line-46"></span><p class="line874">現在我們可以檢查郵件日誌並看到 postgrey 大展所長。以下內容來自我的 /var/log/maillog： <span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><p class="line867"><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><pre><span class="anchor" id="line-1-5"></span>#
<span class="anchor" id="line-2-2"></span># postgrey loads:
<span class="anchor" id="line-3-1"></span>#
<span class="anchor" id="line-4-1"></span>Dec 17 21:44:58 jessie postgrey[6844]: Process Backgrounded
<span class="anchor" id="line-5-1"></span>Dec 17 21:44:58 jessie postgrey[6844]: 2007/12/17-21:44:58 postgrey (type Net::Server::Multiplex) starting! pid(6844)
<span class="anchor" id="line-6"></span>Dec 17 21:44:58 jessie postgrey[6844]: Binding to UNIX socket file /var/spool/postfix/postgrey/socket using SOCK_STREAM
<span class="anchor" id="line-7"></span>Dec 17 21:44:58 jessie postgrey[6844]: Setting gid to "101 101"
<span class="anchor" id="line-8"></span>Dec 17 21:44:58 jessie postgrey[6844]: Setting uid to "100"
<span class="anchor" id="line-9"></span>#
<span class="anchor" id="line-10"></span># postgrey greylisting a message:
<span class="anchor" id="line-11"></span>#
<span class="anchor" id="line-12"></span>Dec 17 21:23:49 jessie postfix/smtpd[6714]: connect from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]
<span class="anchor" id="line-13"></span>Dec 17 21:23:49 jessie postfix/smtpd[6714]: NOQUEUE: reject: RCPT from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]:
<span class="anchor" id="line-14"></span>        450 4.2.0 &lt;ned@example.com&gt;: Recipient address rejected: Greylisted, see http://postgrey.schweikert.ch/help/example.com.html;
<span class="anchor" id="line-15"></span>        from=&lt;bob@example.com&gt; to=&lt;ned@example.com&gt; proto=ESMTP helo=&lt;mk-outboundfilter-4-a-1.mail.uk.tiscali.com&gt;
<span class="anchor" id="line-16"></span>Dec 17 21:23:54 jessie postfix/smtpd[6714]: disconnect from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]
<span class="anchor" id="line-17"></span>#
<span class="anchor" id="line-18"></span># postgrey accepting a message:
<span class="anchor" id="line-19"></span>#
<span class="anchor" id="line-20"></span>Dec 17 22:23:45 jessie postgrey[2218]: action=pass, reason=triplet found, client_name=mk-outboundfilter-3-a-1.mail.uk.tiscali.com,
<span class="anchor" id="line-21"></span>        client_address=212.74.114.7, sender=bob@example.com, recipient=ned@example.com</pre><span class="anchor" id="line-70"></span><p class="line874">如果你看到這樣一則信息： <span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><p class="line867"><span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><pre><span class="anchor" id="line-1-6"></span>Nov 18 09:39:03 jessie postfix/smtpd[26006]: warning: connect to postgrey/socket: Permission denied</pre><span class="anchor" id="line-75"></span><p class="line862">請不要灰心。這是 SELinux 的問題，而這個 wiki 頁面談論了解決方法：<a href="./zh(2d)tw(2f)HowTos(2f)SELinux.html#head-c107e0a7fef7854abd2f1e330b2bfd734b678caa">zh-tw/HowTos/SELinux#head-c107e0a7fef7854abd2f1e330b2bfd734b678caa</a> <span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><p class="line867">
<h3 id="Sendmail_.2BUWd2hHBwVA1Vrg-">2.2. Sendmail 內的灰名單</h3>
<span class="anchor" id="line-78"></span><p class="line862">Sendmail 採用 milter-greylist，它已收錄在 RPMForge。要啟用 RPMForge 軟件庫，請參閱 <a href="./zh(2d)tw(2f)Repositories(2f)RPMForge.html">RPMForge</a> 內的指引。首先，請安裝 milter-greylist： <span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><p class="line867"><span class="anchor" id="line-81"></span><pre><span class="anchor" id="line-1-7"></span># yum install milter-greylist</pre><span class="anchor" id="line-82"></span><p class="line862">milter-greylist 是已 C 寫成，因此它的依賴性寥寥可數。Yum 應該會自動判斷你所仍未安裝的依賴性套件，而你亦可以在 milter-greylist 的<a class="http" href="http://hcpnet.free.fr/milter-greylist/">網站</a>查閱它的要求。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line874">請在你的 sendmail.mc 腳本的尾部加入以下內容： <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line867"><span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><span class="anchor" id="line-92"></span><pre><span class="anchor" id="line-1-8"></span>INPUT_MAIL_FILTER(`greylist',`S=local:/var/milter-greylist/milter-greylist.sock')dnl
<span class="anchor" id="line-2-3"></span>define(`confMILTER_MACROS_CONNECT', `j, {if_addr}')dnl
<span class="anchor" id="line-3-2"></span>define(`confMILTER_MACROS_HELO', `{verify}, {cert_subject}')dnl
<span class="anchor" id="line-4-2"></span>define(`confMILTER_MACROS_ENVFROM', `i, {auth_authen}')dnl
<span class="anchor" id="line-5-2"></span>define(`confMILTER_MACROS_ENVRCPT', `{greylist}')dnl</pre><span class="anchor" id="line-93"></span><p class="line862">你也可以按喜好指定閒置時間，而以下的例子設定發送資訊給郵寄程式及等待回覆時等待一分鐘，因為預設的 10 秒時限或許在採用 DNSRBL 及／或 SPF 時也許會不足夠。詳情請參閱 Sendmail 的郵寄程式安裝<a class="http" href="http://www.sendmail.org/doc/sendmail-current/libmilter/docs/installation.html">指南</a>。 <span class="anchor" id="line-94"></span><span class="anchor" id="line-95"></span><p class="line867"><span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><pre><span class="anchor" id="line-1-9"></span>INPUT_MAIL_FILTER(`greylist',`S=local:/var/milter-greylist/milter-greylist.sock, F=, T=S:1m;R:1m')dnl</pre><span class="anchor" id="line-98"></span><p class="line874">利用 m4 檔編譯 sendmail.cf 檔。很多系統都擁有一個能自動完成這個步驟的 Makefile。 <span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line867"><span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><pre><span class="anchor" id="line-1-10"></span>/usr/bin/m4 /usr/share/sendmail/cf/m4/cf.m4 sendmail.mc &gt; sendmail</pre><span class="anchor" id="line-103"></span><p class="line874">接著重新啟動 sendmail <span class="anchor" id="line-104"></span><span class="anchor" id="line-105"></span><p class="line867"><span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><pre><span class="anchor" id="line-1-11"></span>service sendmail restart</pre><span class="anchor" id="line-108"></span><p class="line867">
<h3 id="Exim">2.3. Exim</h3>
<span class="anchor" id="line-109"></span><p class="line874">Exim 的設定應該放在這裡。假如你把灰名單應用在 exim（或其它 MTA）上，歡迎你自動請纓 <span class="anchor" id="line-110"></span><span class="anchor" id="line-111"></span><p class="line867">
<h2 id="A.2BUy9YMQ-">3. 匯報</h2>
<span class="anchor" id="line-112"></span><p class="line862">Postgrey 包含一個名叫 postgreyreport 的匯報工具。它已預設在安裝 postgrey 的套件時一併被安裝。postgreyreport 會剖析（來自 STDIN）的郵寄日誌，將它與 postgrey 的資料庫比較，然後列出所有「致命」灰名單項目的詳情。當一台主機於首次寄件往某個特定收件者的 300 秒未能重試寄件，它便被放進「致命」灰名單內。postgreyreport 將會採用<tt class="backtick">客端&nbsp;IP／寄件者／收件者</tt>這三組資料作識別之用。你可以利用 --delay 這個指令行選項來調整 300 秒的時限，但 300 是個不錯的基準。多數郵件伺服器都會在 300 移內重試。 <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><p class="line874">基本用法： <span class="anchor" id="line-115"></span><span class="anchor" id="line-116"></span><p class="line867"><span class="anchor" id="line-117"></span><span class="anchor" id="line-118"></span><pre><span class="anchor" id="line-1-12"></span>cat /var/log/maillog | /usr/sbin/postgreyreport --delay=300</pre><span class="anchor" id="line-119"></span><p class="line874">視乎你的伺服器有多繁忙，這個報告有可能會頗大。要取得首 20 個被放進灰名單內的來源地，你可以用這個方法： <span class="anchor" id="line-120"></span><span class="anchor" id="line-121"></span><p class="line867"><span class="anchor" id="line-122"></span><span class="anchor" id="line-123"></span><pre><span class="anchor" id="line-1-13"></span>cat /var/log/maillog | postgreyreport | awk '{print $1}' | sort | uniq -c | sort -nr | head -n20</pre><span class="anchor" id="line-124"></span><p class="line874">要取得首 20 個灰名單來源地所寄往的電郵地址： <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span><p class="line867"><span class="anchor" id="line-127"></span><span class="anchor" id="line-128"></span><pre><span class="anchor" id="line-1-14"></span>cat /var/log/maillog | postgreyreport | awk '{print $4}'  | sort  | uniq -c | sort -nr | head -n20</pre><span class="anchor" id="line-129"></span><p class="line874">要列出 postgreyreport 支援的所有選項及它們的功用： <span class="anchor" id="line-130"></span><span class="anchor" id="line-131"></span><p class="line867"><span class="anchor" id="line-132"></span><span class="anchor" id="line-133"></span><pre><span class="anchor" id="line-1-15"></span>postgreyreport -h</pre><span class="anchor" id="line-134"></span><p class="line867">
<h2 id="A.2BWRqRzQ_MX_.2BdoSAA2Fu-">4. 多重 MX 的考慮</h2>
<span class="anchor" id="line-135"></span><p class="line874">假若你的網域擁有多於一台郵件伺服器（MX），請確保你在所有伺服器上啟用灰名單，否則垃圾郵件寄件者將會對準你的後備 MX 機器並從那裡轉寄郵件。你也值得把每台機器放在對方的白名單內。請參閱下一部份關於如何在 postgrey 內設置白單名。 <span class="anchor" id="line-136"></span><span class="anchor" id="line-137"></span><p class="line874">要讓灰名單在後備 MX 機器上運作，灰名單的檢查必須在郵件被接納前進行！雖然這聽起來是理所當然的事，它卻是導致不少人在後備 MX 機器上設置灰名單時出現混亂的原因之一。舉個例說，如果你在 postfix 內採用 permit_mx_backup，你的備份 MX 上的 smtpd_recipient_restrictions 應該是這樣的： <span class="anchor" id="line-138"></span><span class="anchor" id="line-139"></span><p class="line867"><span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><span class="anchor" id="line-144"></span><span class="anchor" id="line-145"></span><pre><span class="anchor" id="line-1-16"></span>smtpd_recipient_restrictions =
<span class="anchor" id="line-2-4"></span>    reject_unauth_destination,
<span class="anchor" id="line-3-3"></span>    check_policy_service unix:/var/spool/postfix/postgrey/socket,
<span class="anchor" id="line-4-3"></span>    permit_mx_backup,
<span class="anchor" id="line-5-3"></span>    permit</pre><span class="anchor" id="line-146"></span><p class="line867">
<h2 id="A.2Bdn1UDVWu-">5. 白名單</h2>
<span class="anchor" id="line-147"></span><p class="line874">postgrey 也可以把寄件者及收件者放在白名單內。要把一台主機加進白名單，你只需把它的完整機域名或 IP 位址加進 /etc/postfix/postgrey_whitelist_clients.local，譬如： <span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><p class="line867"><span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><span class="anchor" id="line-152"></span><pre><span class="anchor" id="line-1-17"></span>192.168.1.10
<span class="anchor" id="line-2-5"></span>mydesktop.office.mydomain.com</pre><span class="anchor" id="line-153"></span><p class="line874">現在所有來自 192.168.1.10 或 mydesktop.office.mydomain.com 的郵件將不會被被灰名單過濾，而會立即獲接納（只要它是合法的，並通過所有 postfix 規則）。另一方面，假若你想把一個收件者加入白名單內，你可以將電郵地址的用戶名稱部份加進 /etc/postfix/postgrey_whitelist_recipients 檔內，譬如： <span class="anchor" id="line-154"></span><span class="anchor" id="line-155"></span><p class="line867"><span class="anchor" id="line-156"></span><span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><span class="anchor" id="line-159"></span><pre><span class="anchor" id="line-1-18"></span>postmaster@
<span class="anchor" id="line-2-6"></span>abuse@
<span class="anchor" id="line-3-4"></span>theboss@</pre><span class="anchor" id="line-160"></span><p class="line874">現在所以寄往上述地址的電郵將不會被被灰名單過濾，而會立即獲接納。請留意 postgrey 已預設把 postmaster 及 abuse 列進白名單內。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><p class="line867">
<h2 id="A.2Bfj19UA-">6. 總結</h2>
<span class="anchor" id="line-163"></span><p class="line874">灰名單能高度有效地對抗來自不乎合 RFC 的垃圾郵件程式的郵件。Postgrey 是一個易設置的灰名單政策伺服器，它僅需數分鐘便可被安裝和設置於在一台運作中的 CentOS 郵件伺服器上。 <span class="anchor" id="line-164"></span><span class="anchor" id="line-165"></span><p class="line867">
<h2 id="A.2BkCN9UA-">7. 連結</h2>
<span class="anchor" id="line-166"></span><p class="line867"><a class="http" href="http://www.greylisting.org/">http://www.greylisting.org/</a> <span class="anchor" id="line-167"></span><span class="anchor" id="line-168"></span><p class="line867"><a class="http" href="http://postgrey.schweikert.ch/">http://postgrey.schweikert.ch/</a> <span class="anchor" id="line-169"></span><span class="anchor" id="line-170"></span><p class="line867"><a class="http" href="http://milter-greylist.wikidot.com/sendmail">http://milter-greylist.wikidot.com/sendmail</a> <span class="anchor" id="line-171"></span><span class="anchor" id="line-172"></span><p class="line867"><small>Translation of revision 37</small> <span class="anchor" id="line-173"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
